Subject: Re: Setup cant open package database error?
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 26 Sep 2003 06:26:09 +1000

On Fri, 2003-09-26 at 02:53, Tim Gunter wrote:
> On Wed, Sep 24, 2003 at 05:20:25PM -0400, Igor Pechtchanski wrote:
> > Well, you could right-click on the directory in Explorer and select
> > Properties -> Security -> Advanced...  I'm really not familiar with FAT32
> > filesystems - I think neither ntsec nor ntea work on them.  Is there a
> > possibility of moving Cygwin to an NTFS partition?  It would likely work
> > much better there anyway...
> 
> there is no such tab on my system, i guess its probably better
> to run from NTFS.
> 
> > Can you remove "/etc/setup/installed.db" by hand and rename
> > "/etc/setup/installed.db.new" to it?  It might fix the problem, at least
> > for one setup run...
> 
> i did this, and setup now behaves better and remembers that it
> just installed the new stuff. looking at the current installed.db
> file, and the output of "cygcheck -c", many packages that i
> have installed are no longer listed(Perl, openssh, etc.). is this
> information lost forever? atleast some of it appears in a
> different format in the installed.db.old file.

There have been a number of format changes to that file, but setup reads
them all (with no assurance if you have used third-party scripts that
may or may not write valid information).

All the lines in the file need to be of the one format though: you can't
copy line by line across.

Rob
-- 
GPG key available at: <http://members.aardvark.net.au/lifeless/keys.txt>.